PamCut: AbsTimeCut Class Reference

# AbsTimeCut Class Reference

A cut on absolute time. More...

`#include <AbsTimeCut.h>`

Inheritance diagram for AbsTimeCut:

List of all members.

## Public Member Functions
| AbsTimeCut (const char *cutName, const char *initDate, const char *initTime, const char *endDate, const char *endTime)
| Constructor.
| ~AbsTimeCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The absolute time check.
## Private Attributes
unsigned int | _initDate
unsigned int | _initTime
unsigned int | _endDate
unsigned int | _endTime
TTimeStamp | _time

## Detailed Description

A cut on absolute time.

This selection rejects all events recorded outside a certain time interval.

Definition at line 27 of file AbsTimeCut.h.

## Constructor & Destructor Documentation

AbsTimeCut::AbsTimeCut | ( | const char * | cutName,
|  | const char * | initDate,
|  | const char * | initTime,
|  | const char * | endDate,
|  | const char * | endTime |
| ) |  |  | `[inline]`

Constructor.

The parameters define the time interval. They have to be encoded as 6-digits numbers, eg.: 18 March 2008 15:30:00 will be encoded as 080318 for the date and as 153000 for the time.

Parameters:

  | cutName | The cut's name
  | initDate | The initial date (format: YYMMDD).
  | initTime | The initial time (format: hhmmss).
  | endDate | The final date (format: YYMMDD);.
  | endTime | The final time (format: hhmmss).

Definition at line 42 of file AbsTimeCut.h.

AbsTimeCut::~AbsTimeCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 49 of file AbsTimeCut.h.

## Member Function Documentation

int AbsTimeCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The absolute time check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the event happened inside the time interval

  ABSTIMECUT_TOOEARLY if the event happened before the begin of the time interval.

  ABSTIMECUT_TOOLATE if the event happened after the end of the time interval.

Implements PamCut.

Definition at line 12 of file AbsTimeCut.cpp.

References _endDate, _endTime, _initDate, _initTime, _time, ABSTIMECUT_TOOEARLY, ABSTIMECUT_TOOLATE, and CUTOK.

## Member Data Documentation

unsigned int AbsTimeCut::_endDate`[private]`

Definition at line 63 of file AbsTimeCut.h.

Referenced by Check().

unsigned int AbsTimeCut::_endTime`[private]`

Definition at line 63 of file AbsTimeCut.h.

Referenced by Check().

unsigned int AbsTimeCut::_initDate`[private]`

Definition at line 63 of file AbsTimeCut.h.

Referenced by Check().

unsigned int AbsTimeCut::_initTime`[private]`

Definition at line 63 of file AbsTimeCut.h.

Referenced by Check().

TTimeStamp AbsTimeCut::_time`[private]`

Definition at line 64 of file AbsTimeCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- MiscCuts/AbsTimeCut/AbsTimeCut.h
- MiscCuts/AbsTimeCut/AbsTimeCut.cpp